## org.gnu.glib
Class List

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.List

Deprecated. This class is deprecated. Use Java's collection classes or arrays instead. This object represents a doubly-linked list in the GLib system. This should only be used internally. This type should be converted into one of the Java container types prior to being passed to the application layer. Objects of this type should be freed by calling thre free() method. The data parameter that is being passed into many of the methods is the handle of a java-gnome object.

public class List
extends org.gnu.glib.Struct

Constructor Summary
`List()` Deprecated. Construct a List object
`List(org.gnu.glib.Handle handle)` Deprecated. Contruct a List object using a given handle.

Method Summary
`void` `append(int data)` Deprecated. Append an element to the end of the list.
`org.gnu.glib.Handle` `first()` Deprecated. Return the first element from the List.
`void` `free()` Deprecated. Release the resources associated with this object.
`void` `insert(int data, int position)` Deprecated. Insert an element at a specified location in the List.
`org.gnu.glib.Handle` `last()` Deprecated. Return the last element from the List.
`int` `length()` Deprecated. Return the number of elements contained in the List.
`org.gnu.glib.Handle` `next()` Deprecated. Return the next element in the List.
`void` `prepend(int data)` Deprecated. Prepend an element to the end of the list.
`org.gnu.glib.Handle` `previous()` Deprecated. Return the previous element in the List.
`void` `remove(int data)` Deprecated. Remove the first instance of an element from the List.
`void` `removeAllInstances(int data)` Deprecated. Remove all instances of an element from the List.

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### List

    public List()

  Deprecated.
  Construct a List object

### List

    public List(org.gnu.glib.Handle handle)

  Deprecated.
  Contruct a List object using a given handle. This constructor is used by the libraries internally to construct the object with the handle returned by a native method.

Method Detail

### free

    public void free()

  Deprecated.
  Release the resources associated with this object.

### append

    public void append(int data)

  Deprecated.
  Append an element to the end of the list.

  Parameters:
    `data` - The handle of the object that is being added to the List.

### prepend

    public void prepend(int data)

  Deprecated.
  Prepend an element to the end of the list.

  Parameters:
    `data` - The handle of the object that is being added to the List.

### insert

    public void insert(int data,
                       int position)

  Deprecated.
  Insert an element at a specified location in the List.

  Parameters:
    `data` - The handle of the object that is being added to the List.
    `position` - The position to perform the insertion.

### remove

    public void remove(int data)

  Deprecated.
  Remove the first instance of an element from the List.

  Parameters:
    `data` - The item to remove from the list. If two items contain the same data only the first will be removed.

### removeAllInstances

    public void removeAllInstances(int data)

  Deprecated.
  Remove all instances of an element from the List.

  Parameters:
    `data` - The item to remove from the List. This method will remove all instances of the object pointed to by data.

### length

    public int length()

  Deprecated.
  Return the number of elements contained in the List.

  Returns:
    The number of elements in the List.

### first

    public org.gnu.glib.Handle first()

  Deprecated.
  Return the first element from the List. This method will also reposition the current list item to the beginning of the list.

  Returns:
    The first element from the List.

### last

    public org.gnu.glib.Handle last()

  Deprecated.
  Return the last element from the List. This method will also reposition the current list item to the end of the list.

  Returns:
    The last element from the List.

### next

    public org.gnu.glib.Handle next()

  Deprecated.
  Return the next element in the List. This method will also move the current list item forward one element.

  Returns:
    The next element from the List.

### previous

    public org.gnu.glib.Handle previous()

  Deprecated.
  Return the previous element in the List. This method will also move the current list item backward one element.

  Returns:
    The previous element from the List.